dev-python / fedmsg

Fedora Messaging Client API

Official package sites : http://www.fedmsg.com/ · https://pypi.org/project/fedmsg/ ·

v0.18.3 :: 0 :: gentoo

Modified
License
LGPL-2+
Keywords
~amd64 ~x86

python_targets

python2_7
Build with Python 2.7
python3_5
Build with Python 3.5
python3_6
Build with Python 3.6

dev-lang / python : An interpreted, interactive, object-oriented programming language

dev-lang / python-exec : Python script wrapper

dev-python / arrow : Better dates and times for Python

dev-python / cryptography : Library providing cryptographic recipes and primitives

dev-python / kitchen : A cornucopia of useful code

dev-python / m2crypto : A Python crypto and SSL toolkit

dev-python / psutil : Retrieve information on running processes and system utilization

dev-python / pyzmq : Lightweight and super-fast messaging library built on top of the ZeroMQ library

dev-python / requests : HTTP library for human beings

dev-python / six : Python 2 and 3 compatibility library

dev-lang / python : An interpreted, interactive, object-oriented programming language

dev-lang / python-exec : Python script wrapper

dev-python / arrow : Better dates and times for Python

dev-python / cryptography : Library providing cryptographic recipes and primitives

dev-python / kitchen : A cornucopia of useful code

dev-python / m2crypto : A Python crypto and SSL toolkit

dev-python / psutil : Retrieve information on running processes and system utilization

dev-python / pyzmq : Lightweight and super-fast messaging library built on top of the ZeroMQ library

dev-python / requests : HTTP library for human beings

dev-python / six : Python 2 and 3 compatibility library

Repository mirror & CI · gentoo
Merge updates from master
Michał Górny · gentoo
*/*: Remove python3_4 PYTHON_COMPAT correctly
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Pacho Ramos · gentoo
dev-python/fedmsg: Support python3.6
Package-Manager: Portage-2.3.41, Repoman-2.3.9
Michael Mair-Keimberger · gentoo
update pypi HOMEPAGE to avoid redirection
Closes: https://github.com/gentoo/gentoo/pull/8080
Mike Gilbert · gentoo
Replace pypi.python.org with pypi.org in HOMEPAGE
Bug: https://bugs.gentoo.org/653540
Michał Górny · gentoo
dev-python/fedmsg: Clean old versions up
Kent Fredric · gentoo
dev-python/fedmsg: Bump to version 0.18.3
Upstream: - Change branding to "Federated Message Bus" - Updated example publishing code - Fix support for multi-line JSON - fedmsg-relay no longer iadvertently starts producers - Drop artificial keys from datagrepper so backlog doesn't fail validation - Fix broken test suite mock Package-Manager: Portage-2.3.4, Repoman-2.3.2
Robin H. Johnson · gentoo
Drop $Id$ per council decision in bug #611234.
Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
Maciej Grela · gentoo
dev-python/fedmsg: -r1 bump for RDEP propagation
Closes: https://github.com/gentoo/gentoo/pull/3922
Maciej Grela · gentoo
dev-python/fedmsg: Add missing dependency on psutil
Closes: https://github.com/gentoo/gentoo/pull/3922
T. Malfatti · gentoo
media-libs/portaudio: Version bump
Kent Fredric · gentoo
dev-python/fedmsg: Remove old
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Kent Fredric · gentoo
dev-python/fedmsg: Bump to version 0.18.2
- Add CHANGELOG to docdir Upstream: - Fix misleading signature validation logic in base consumer Package-Manager: Portage-2.3.3, Repoman-2.3.1
Kent Fredric · gentoo
dev-python/fedmsg: Bump to version 0.18.1
Upstream: - Handle STOMP message manging inside validation after JSON decoding. Package-Manager: portage-2.3.2
Kent Fredric · gentoo
dev-python/fedmsg: Added at version 0.18.0
Configuration optimised for making anitya (https://release-monitoring.org) work out of the box: This includes disabling verification by default, as its currently impossible to get x509 verification working on Python 3.5 People who want signature verification enabled are encouraged to install for python 2.7, and RDEPEND is configured to automatically pull in m2crypto if you opt to build for python 2.7 However, getting it working will still require m2ext being added to tree somewhere, which is dubious given m2ext hasn't been touched since 2012 Package-Manager: portage-2.3.2